@echo off
setlocal 
%~d0
cd "%~dp0"

@REM ----------------------------------------------------------------------------------
@REM Build Azure Blobs and Queues Management Solution
@REM ----------------------------------------------------------------------------------

set msBuildDir=%WINDIR%\Microsoft.NET\Framework\v3.5
set solutionDir="."
set buildType=Release
set returnErrorCode=true
set verbosity=quiet
set pause=true
set installUtilDir=%WINDIR%\Microsoft.NET\Framework\v2.0.50727

@echo Building "WindowsAzureMMC.sln"

IF EXIST ..\..\..\code call %msBuildDir%\msbuild "..\..\..\code\WindowsAzureMMC.sln" /t:Rebuild /p:Configuration=%buildType% /verbosity:%verbosity%

@if errorlevel 1 goto :error
@echo Build Complete

@goto :exit

:error
@echo An Error Occured building the Azure Blobs and Queues Management Solution

:exit